Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.slf4j
Class SLF4JLoggerContext

    java.lang.Object
      org.apache.logging.slf4j.SLF4JLoggerContext

All Implemented Interfaces:
  org.apache.logging.log4j.spi.LoggerContext

    public class SLF4JLoggerContext

extends Object
implements org.apache.logging.log4j.spi.LoggerContext

Constructor Summary
`SLF4JLoggerContext()`

Method Summary
`Object` | `getExternalContext()`
`org.apache.logging.log4j.spi.ExtendedLogger` | `getLogger(String name)`
`org.apache.logging.log4j.spi.ExtendedLogger` | `getLogger(String name, org.apache.logging.log4j.message.MessageFactory messageFactory)`
`boolean` | `hasLogger(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLF4JLoggerContext

    public SLF4JLoggerContext()

Method Detail

### getExternalContext

    public Object getExternalContext()

  Specified by:
    `getExternalContext` in interface `org.apache.logging.log4j.spi.LoggerContext`

### getLogger

    public org.apache.logging.log4j.spi.ExtendedLogger getLogger(String name)

  Specified by:
    `getLogger` in interface `org.apache.logging.log4j.spi.LoggerContext`

### getLogger

    public org.apache.logging.log4j.spi.ExtendedLogger getLogger(String name,
                                                                 org.apache.logging.log4j.message.MessageFactory messageFactory)

  Specified by:
    `getLogger` in interface `org.apache.logging.log4j.spi.LoggerContext`

### hasLogger

    public boolean hasLogger(String name)

  Specified by:
    `hasLogger` in interface `org.apache.logging.log4j.spi.LoggerContext`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.